TaskOutcome (Gradle API 2.11)
Date: 2016-02-08

org.gradle.testkit.runner

## Enum TaskOutcome

- java.lang.Object
- - java.lang.Enum<TaskOutcome>
  - - org.gradle.testkit.runner.TaskOutcome

- All Implemented Interfaces:
    Serializable, Comparable<TaskOutcome>

      @Incubating
      public enum TaskOutcome
      extends Enum<TaskOutcome>

  The outcome of executing a task during a build.
  Since:
    2.6
  See Also:
    `BuildTask.getOutcome()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED` The task attempted to execute, but did not complete successfully.
    `SKIPPED` The task was not executed due to some reason.
    `SUCCESS` That task executed and performed its actions without failure.
    `UP_TO_DATE` The task was not executed, as its output was up to date.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskOutcome` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskOutcome[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final TaskOutcome SUCCESS

      That task executed and performed its actions without failure.

    - #### FAILED

          public static final TaskOutcome FAILED

      The task attempted to execute, but did not complete successfully.

    - #### UP_TO_DATE

          public static final TaskOutcome UP_TO_DATE

      The task was not executed, as its output was up to date.

    - #### SKIPPED

          public static final TaskOutcome SKIPPED

      The task was not executed due to some reason. A task may be skipped if it had no work to do (e.g. no source to compile).

  - ### Method Detail

    - #### values

          public static TaskOutcome[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskOutcome c : TaskOutcome.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskOutcome valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null